Package org.jboss.resteasy.plugins.validation

## Class ResteasyViolationExceptionImpl

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.validation.ValidationException
        - - javax.validation.ConstraintViolationException
          - - org.jboss.resteasy.api.validation.ResteasyViolationException
            - - org.jboss.resteasy.plugins.validation.ResteasyViolationExceptionImpl

- All Implemented Interfaces:
    `Serializable`

      public class ResteasyViolationExceptionImpl
      extends ResteasyViolationException

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.api.validation.ResteasyViolationException

      `SUPPRESS_VIOLATION_PATH`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResteasyViolationExceptionImpl​(String stringRep)` |
    `ResteasyViolationExceptionImpl​(Set<? extends javax.validation.ConstraintViolation<?>> constraintViolations)` |
    `ResteasyViolationExceptionImpl​(Set<? extends javax.validation.ConstraintViolation<?>> constraintViolations, List<javax.ws.rs.core.MediaType> accept)` | New constructor
    `ResteasyViolationExceptionImpl​(SimpleViolationsContainer container)` | New constructor
    `ResteasyViolationExceptionImpl​(SimpleViolationsContainer container, List<javax.ws.rs.core.MediaType> accept)` | New constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ConstraintTypeUtil` | `getConstraintTypeUtil()` |
    `protected ResteasyConfiguration` | `getResteasyConfiguration()` |

    - ### Methods inherited from class org.jboss.resteasy.api.validation.ResteasyViolationException

      `checkSuppressPath, convertArrayToString, convertFromString, convertViolation, convertViolations, getAccept, getClassViolations, getException, getField, getParameterViolations, getPropertyViolations, getReturnValueViolations, getViolationLists, getViolations, setAccept, setException, size, toCloneableMediaTypeList, toMediaTypeList, toString`

    - ### Methods inherited from class javax.validation.ConstraintViolationException

      `getConstraintViolations`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ResteasyViolationExceptionImpl

          public ResteasyViolationExceptionImpl​(Set<? extends javax.validation.ConstraintViolation<?>> constraintViolations)

    - #### ResteasyViolationExceptionImpl

          public ResteasyViolationExceptionImpl​(Set<? extends javax.validation.ConstraintViolation<?>> constraintViolations,
                                                List<javax.ws.rs.core.MediaType> accept)

      New constructor
      Parameters:
        `constraintViolations` - set of constraint violations
        `accept` - list of accept media types

    - #### ResteasyViolationExceptionImpl

          public ResteasyViolationExceptionImpl​(SimpleViolationsContainer container)

      New constructor
      Parameters:
        `container` - violation container

    - #### ResteasyViolationExceptionImpl

          public ResteasyViolationExceptionImpl​(SimpleViolationsContainer container,
                                                List<javax.ws.rs.core.MediaType> accept)

      New constructor
      Parameters:
        `container` - violation container
        `accept` - list of accept media types

    - #### ResteasyViolationExceptionImpl

          public ResteasyViolationExceptionImpl​(String stringRep)

  - ### Method Detail

    - #### getConstraintTypeUtil

          public ConstraintTypeUtil getConstraintTypeUtil()

      Specified by:
        `getConstraintTypeUtil` in class `ResteasyViolationException`

    - #### getResteasyConfiguration

          protected ResteasyConfiguration getResteasyConfiguration()

      Specified by:
        `getResteasyConfiguration` in class `ResteasyViolationException`